Page MenuHomePhabricator

Implement instrumentation for new schema
Closed, ResolvedPublic

Event Timeline

Prtksxna raised the priority of this task from to High.
Prtksxna updated the task description. (Show Details)
Prtksxna added a project: Page-Previews.
Prtksxna added subscribers: Prtksxna, Aklapper.

Change 196188 had a related patch set uploaded (by Prtksxna):
Implement the new schema for when the popups are enabled

https://gerrit.wikimedia.org/r/196188

Change 196189 had a related patch set uploaded (by Prtksxna):
Implement the new schema for when the popups are disabled

https://gerrit.wikimedia.org/r/196189

Change 196190 had a related patch set uploaded (by Prtksxna):
[WIP] eventLogging: Log events based on a sampling rate

https://gerrit.wikimedia.org/r/196190

@leila In these patches I am using title instead of pageId so that I don't have to make an extra API call. Let me know if that is a problem.

leila added a comment.Mar 12 2015, 5:00 PM

@Prtksxna as far as the analysis goes, there is no difference. One thing that I noticed, you need to have a variable which keeps track of which project that page_title is coming from: xxwiki.

Change 196189 abandoned by Prtksxna:
Implement the new schema for when the popups are disabled

https://gerrit.wikimedia.org/r/196189

Change 196188 abandoned by Prtksxna:
Implement the new schema for when the popups are enabled

https://gerrit.wikimedia.org/r/196188

Change 196190 abandoned by Prtksxna:
[WIP] eventLogging: Log events based on a sampling rate

Reason:
T88167

https://gerrit.wikimedia.org/r/196190

Change 198190 had a related patch set uploaded (by Prtksxna):
Implement the new schema for when the popups are enabled

https://gerrit.wikimedia.org/r/198190

Change 198191 had a related patch set uploaded (by Prtksxna):
Implement the new schema for when the popups are disabled

https://gerrit.wikimedia.org/r/198191

Change 198192 had a related patch set uploaded (by Prtksxna):
logger: Add a sampling rate of 10

https://gerrit.wikimedia.org/r/198192

Change 199828 had a related patch set uploaded (by Prtksxna):
Implement the new schema for when the popups are disabled

https://gerrit.wikimedia.org/r/199828

Change 199829 had a related patch set uploaded (by Prtksxna):
logger: Add a sampling rate of 10

https://gerrit.wikimedia.org/r/199829

Change 198191 abandoned by Prtksxna:
Implement the new schema for when the popups are disabled

Reason:
See https://gerrit.wikimedia.org/r/#/c/199828/ instead.

https://gerrit.wikimedia.org/r/198191

Change 198192 abandoned by Prtksxna:
logger: Add a sampling rate of 10

Reason:
See https://gerrit.wikimedia.org/r/#/c/199829/ instead

https://gerrit.wikimedia.org/r/198192

Prtksxna moved this task from Next Up to For Review on the Page-Previews board.Mar 27 2015, 12:31 AM

Change 198190 merged by jenkins-bot:
Implement the new schema for when the popups are enabled

https://gerrit.wikimedia.org/r/198190

werdna closed this task as Resolved.Apr 6 2015, 9:18 AM
werdna claimed this task.

Change 199828 merged by jenkins-bot:
Implement the new schema for when the popups are disabled

https://gerrit.wikimedia.org/r/199828

Change 199829 merged by jenkins-bot:
logger: Add a sampling rate of 10

https://gerrit.wikimedia.org/r/199829

Quiddity moved this task from For Review to Done on the Page-Previews board.Jun 21 2015, 10:49 PM